<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    
    <h2>Second</h2>
    <second ref="second"></second>

    <h3 v-on:mouseover="testSecond">Mouse over me</h3>

    <input type="button" value="Click" v-on:click="testSecond"/>
    
   
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';
import Second from './Second.vue';


@Component({
  components: {
    Second
  },
})
export default class HelloWorld extends Vue {
  @Prop() private msg!: string;

  

 // test property reification
  public $refs!: {
    second: Second

  }


  public testSecond() :string{
    console.log('calling second component')
    return this.$refs.second.check();
    
  }
}

</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
